Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Jori Koolstra <[email-masked]>
Date: Thu, 21 May 2026 15:58:05 +0200 (CEST)

> Op 19-05-2026 18:24 CEST schreef Mark Brown <[email-masked]>:
> 
>  
> On Mon, May 18, 2026 at 09:12:44PM +0200, Jori Koolstra wrote:
> > > Op 18-05-2026 19:13 CEST schreef Mark Brown <[email-masked]>:
> 
> > > Figured it'd be an arch specific version of a similar thing - I didn't
> > > audit them as you can see.
> 
> > These confusions with octal numbers in lists that aren't even ordered is
> > why I would prefer to use shifted values instead. I don't see any reason
> > actually why we should not just convert them all, apart from churning and
> > perhaps not doing it correctly (which would be bad). My rationale for mixing
> > was to use 1 << n at least for the remaining bits. If I remember correctly,
> > this is also what Aleksa preferred.
> 
> Yeah, shifted values do make sense to me as well - other than the
> inconsistent style the only issue I saw was that it's a bit less obvious
> that the values collide.

Yeah, that's unfortunate.

@Christian, can we get rid of these octal values? Or is that too much churn?